org.apache.ivy.osgi.core

## Class BundleArtifact

- java.lang.Object
- - org.apache.ivy.osgi.core.BundleArtifact

    public class BundleArtifact
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`BundleArtifact(boolean source, java.net.URI uri, java.lang.String format)`

### Method Summary

Methods
`java.lang.String` `getFormat()`
`java.net.URI` `getUri()`
`boolean` `isSource()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundleArtifact

    public BundleArtifact(boolean source,
                  java.net.URI uri,
                  java.lang.String format)

### Method Detail

#### isSource

    public boolean isSource()

#### getUri

    public java.net.URI getUri()

#### getFormat

    public java.lang.String getFormat()